summaryrefslogtreecommitdiffstats
path: root/tests/rscript_bare_var_root-empty.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rscript_bare_var_root-empty.sh')
-rwxr-xr-xtests/rscript_bare_var_root-empty.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/rscript_bare_var_root-empty.sh b/tests/rscript_bare_var_root-empty.sh
new file mode 100755
index 0000000..48c8573
--- /dev/null
+++ b/tests/rscript_bare_var_root-empty.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+# addd 2018-01-01 by RGerhards, released under ASL 2.0
+
+. ${srcdir:=.}/diag.sh init
+generate_conf
+add_conf '
+template(name="outfmt" type="string" string="empty-%$!%-\n")
+module(load="../plugins/imtcp/.libs/imtcp")
+input(type="imtcp" port="0" listenPortFileName="'$RSYSLOG_DYNNAME'.tcpflood_port" ruleset="rs")
+
+ruleset(name="rs") {
+ set $. = $!;
+ set $! = $.;
+
+ action(type="omfile" file=`echo $RSYSLOG_OUT_LOG` template="outfmt")
+}
+'
+startup
+tcpflood -m1
+shutdown_when_empty
+wait_shutdown
+export EXPECTED='empty--'
+echo "$EXPECTED" | cmp - $RSYSLOG_OUT_LOG
+if [ ! $? -eq 0 ]; then
+ echo "FAIL: $RSYSLOG_OUT_LOG content invalid:"
+ cat $RSYSLOG_OUT_LOG
+ echo "Expected:"
+ echo "$EXPECTED"
+ error_exit 1
+fi;
+exit_test